
-- geo ip with yahoo

-- store ip address, longitude and lattitude

create sequence mashup_geoip_id;

-- table that records ip addresses
-- and info retrieved from hostip
-- when user visits

create table mashup_geoip (
	id integer primary key,
	ip varchar(20),
	city varchar(100),
	countryname varchar(100),
	countryabbrev varchar(20),
	longitude varchar(20),
	latitude varchar(20),
	user_updated boolean
);

-- records date and time of visit
-- records user id if user is logged in

create table mashup_geoip_visits (
	mashup_geoip_id integer primary key,
	datetime_visit timestamp default now(),
	user_id integer
);

